import 'package:flutter/material.dart';

import '../utils/App_color.dart';

class AppTextField extends StatelessWidget {
  const AppTextField({super.key, this.hintText, this.maxLine,required this.controller});

  final String? hintText;
  final int? maxLine;
  final TextEditingController controller;

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      maxLines: maxLine,
      controller: controller,

      decoration: InputDecoration(
        hintText: hintText,

        fillColor: AppColor.secondaryColor,
        filled: true,
        border: OutlineInputBorder(
          borderSide: BorderSide(color: AppColor.primaryColor),
          borderRadius: const BorderRadius.all(Radius.circular(10)),
        ),
      ),
    );
  }
}
